FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202109092011.p0.git.5368195.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202109092011.p0.git.5368195.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=5368195 OS_GIT_VERSION=4.7.0-202109092011.p0.git.5368195.assembly.stream-5368195 SOURCE_DATE_EPOCH=1624641353 SOURCE_GIT_COMMIT=5368195c02ca672dc7f7a4ad571df5584fa4087f SOURCE_GIT_TAG=v0.2.0-412-g5368195c SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-aws 
WORKDIR /go/src/sigs.k8s.io/cluster-api-provider-aws
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interfers with our own
RUN unset VERSION \
 && GOPROXY=off NO_DOCKER=1 make build

FROM openshift/ose-base:v4.7.0.20210909.202007
ENV __doozer=update BUILD_RELEASE=202109092011.p0.git.5368195.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202109092011.p0.git.5368195.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=5368195 OS_GIT_VERSION=4.7.0-202109092011.p0.git.5368195.assembly.stream-5368195 SOURCE_DATE_EPOCH=1624641353 SOURCE_GIT_COMMIT=5368195c02ca672dc7f7a4ad571df5584fa4087f SOURCE_GIT_TAG=v0.2.0-412-g5368195c SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-aws 
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-aws/bin/machine-controller-manager /
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-aws/bin/termination-handler /

LABEL \
        name="openshift/ose-aws-machine-controllers" \
        com.redhat.component="ose-aws-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202109092011.p0.git.5368195.assembly.stream" \
        io.openshift.build.commit.id="5368195c02ca672dc7f7a4ad571df5584fa4087f" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-aws" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-aws/commit/5368195c02ca672dc7f7a4ad571df5584fa4087f" \
        version="v4.7.0"

